Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.etsi.uri._01903.v1_3
Class SPUserNotice

    java.lang.Object
      org.etsi.uri._01903.v1_3.SPUserNotice

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:56:11+01:00",
               comments="JAXB RI v2.2.11")
    public class SPUserNotice

extends Object
implements Serializable

Java class for SPUserNoticeType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SPUserNoticeType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="NoticeRef" type="{http://uri.etsi.org/01903/v1.3.2#}NoticeReferenceType" minOccurs="0"/>
             <element name="ExplicitText" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SPUserNotice()`

Method Summary
`String` | `getExplicitText()` Gets the value of the explicitText property.
`NoticeReferenceType` | `getNoticeRef()` Gets the value of the noticeRef property.
`void` | `setExplicitText(String value)` Sets the value of the explicitText property.
`void` | `setNoticeRef(NoticeReferenceType value)` Sets the value of the noticeRef property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SPUserNotice

    public SPUserNotice()

Method Detail

### getNoticeRef

    public NoticeReferenceType getNoticeRef()

  Gets the value of the noticeRef property.

  Returns:
    possible object is `NoticeReferenceType`

### setNoticeRef

    public void setNoticeRef(NoticeReferenceType value)

  Sets the value of the noticeRef property.

  Parameters:
    `value` - allowed object is `NoticeReferenceType`

### getExplicitText

    public String getExplicitText()

  Gets the value of the explicitText property.

  Returns:
    possible object is `String`

### setExplicitText

    public void setExplicitText(String value)

  Sets the value of the explicitText property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSDENTIST 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.